package com.ease.gsms.server.controllers.api.v1;

import java.util.Date;
import java.util.UUID;

public class MessageDeliveryInfo {

    UUID allocation;

    Long messageId;

    Long dispatchId;

    Date deliveryDate;

    Integer deliveryStatusId;


    public MessageDeliveryInfo() {
    }

    public UUID getAllocation() {
        return allocation;
    }

    public Long getMessageId() {
        return messageId;
    }

    public Long getDispatchId() {
        return dispatchId;
    }

    public Integer getDeliveryStatusId() {
        return deliveryStatusId;
    }

    public Date getDeliveryDate() {

        return deliveryDate;
    }

}
